> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/media/asset/asset-details.md).

# Asset details

### Internal Id

Internal identifier for the asset. Read only.

### Filename

The filename of the asset. This includes the file extension.

### File versions

The different versions of the assets file uploaded to the PIM.

### Asset type

Files are uploaded to specific asset types. These are defined by the user under Settings > Data models > Asset types. Under the asset model for each asset type the user can specify which file types and specific file extension should be allowed for the asset type. From here the user can continue to configure the data model for the asset type.

### File extension

The file extension of the assets file.

### File size

The size of the assets file in bytes.

### Tags

Keywords or labels that users can associate with the asset to make it easier to categorize and search.

### Asset hotspots

Interative points users can define and add to an asset, that highlights the specific details or releated information.

### File URL

The URL where the assets file can be accessed.

### CDN URL

The distributed, cached URL where the assets file can be accessed.

{% hint style="info" %}
To read about frequently asked question in relation to CDN and more, go to: [FAQ](/reference/media/faq.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/media/asset/asset-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
